package router

import (
	"mtp20access/api/v1/quote"

	"github.com/gin-gonic/gin"
)

func InitQuotePublicRouter(r *gin.RouterGroup) {
	quoteR := r.Group("Quote").Use()
	{
		quoteR.GET("WS", quote.Quote)
	}
}

func InitQuotePrivateRouter(r *gin.RouterGroup) {
	quoteR := r.Group("Quote").Use()
	{
		quoteR.POST("QuoteSubscribe", quote.QuoteSubscribe)
	}
}
